# Define the kmod package name here.
%define  kmod_name cifs
#
Name:    %{kmod_name}-kmod
Version: 1.50cRHbz5319
Release: 1.el5
Group:   System Environment/Kernel
License: GPL v2
Summary: CentOS-5 bug-fixed cifs module
URL:     http://www.centos.org/
#
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64
#
# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source10: kmodtool-%{kmod_name}
#
# If kversion isn't defined on the rpmbuild line, build for the current kernel.
%{!?kversion: %define kversion %(uname -r)}
#
# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif
#
# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}
#
# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}
#
%description
This package provides the CentOS-5 bug-fixed cifs kernel module (bug #1776).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the CentOS kernel and not on any one specific build.
#
%prep
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done
#
%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD
    popd
done
#
%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    install -d ${INSTALL_MOD_PATH}/usr/lib/debug
    popd
done
#
%clean
rm -rf $RPM_BUILD_ROOT
#
%changelog
* Wed Jan 28 2009 Tru Huynh <tru@pasteur.fr> - cifs.cifs5319
- https://bugzilla.samba.org/show_bug.cgi?id=5319

* Thu Dec 25 2008 Alan Bartlett <ajb.stxsl@gmail.com>
- Re-aligned this spec file to RHEL standards.
#
* Sat Dec 13 2008 Alan Bartlett <ajb.stxsl@gmail.com>
- Added a .el5 identifier to the release.
#
* Tue Jul 29 2008 Alan Bartlett <ajb.stxsl@gmail.com>
- Revised this specification file.
#
* Fri May 18 2007 Akemi Yagi <amyagi@gmail.com>
- Initial example kmod specification file.

